Update identity policy
PUT
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidapplication/json- body
allowed_domains?array<string>Items
items <= 100expected_version*Expected VersionRange
0 <= valuemfa_required?Mfa RequiredDefault
falserecovery_admin_enabled?Recovery Admin EnabledDefault
truesso_mode?Sso ModeDefault
"off"Value in
"off""optional""enforced"Successful Response
application/json- response
allowed_domains*array<string>mfa_required*Mfa Requiredrecovery_admin_enabled*Recovery Admin Enabledsso_mode*Sso Modeupdated_at*Updated AtFormat
date-timeversion*Versionworkspace_id*Workspace IdFormat
uuidcurl -X PUT 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/identity/policy' \ -H 'Content-Type: application/json' \ -d '{ "expected_version": 0}'Example Response
{ "allowed_domains": [ "string" ], "mfa_required": true, "recovery_admin_enabled": true, "sso_mode": "string", "updated_at": "2019-08-24T14:15:22Z", "version": 0, "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}